---
title: "Send a notification to a lab instance"
slug: "send-a-notification-to-a-lab-instance-3"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/send-a-notification-to-a-lab-instance-3"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a notification to a lab instance

Get/sendnotification

The **SendNotification** command allows you to send a notification to a specified lab instance for the user to see. For notifications sent using the GET HTTP verb, the notification text is limited to 800 characters.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parameterslabinstanceidinteger (int64) Required

The ID of the lab instance to send the notification to.

Example2393048
notificationstringRequired

The text of the notification to send. Please ensure the message is properly encoded. Line breaks can be included using \n. For notifications sent using the GET HTTP verb, the notification text is limited to 800 characters.

ExampleI'd+like+to+let+you+know
namestring

An optional name for the notification. If you name the notification, subsequent SendNotification commands using the same labInstanceId and name will cause the existing notification to be updated. It is also possible to delete a named notification by sending the name along with no notification value.

ExampleHello

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='690dffb4-115f-4773-b914-8dcd9de90397'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='bd0ccab8-2f98-46fb-b75b-e464f505655d'>Example of successfully sending a notification</option>
</select>Example of successfully sending a notification

```json
{
  "Id": 28297,
  "Result": 1,
  "Status": 1,
  "Error": null
}
```

object  namestring    

An optional name for the notification. If you name the notification, subsequent SendNotification commands using the same labInstanceId and name will cause the existing notification to be updated. It is also possible to delete a named notification by sending the name along with no notification value.

Idinteger  (int32)    

The unique identifier of the notification.

Resultinteger  (int32)    

Result of the sending the notification. 0 = Error 1 = Success

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success

Errorstring   | null  

In the event of an error, this will contain a detailed error message.
